unit untMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DFCRC32, CheckLst;

type
  TfrmMain = class(TForm)
    btnStart: TButton;
    mmMain: TMemo;
    chklstMain: TCheckListBox;
    procedure btnStartClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;
  vSL: TStringList;

implementation

{$R *.DFM}

procedure CheckSFVCallBack(FileName: string; OK: boolean);
begin
  frmMain.chklstMain.Checked[frmMain.chklstMain.Items.Add(ExtractFileName(FileName))] := Ok;
end;

procedure TfrmMain.btnStartClick(Sender: TObject);
var
  AppPath: string;
begin
  AppPath := ExtractFilePath(Application.ExeName);
  if AppPath[Length(AppPath)] = '\' then
    Delete(AppPath, Length(AppPath), 1);

  mmMain.Lines.Add('CRC32 of ' + ExtractFileName(Application.ExeName) + ' is: ' +
                   DFCalcCRC32(Application.ExeName));

  vSL := TStringList.Create;
  try
    vSL.Add(AppPath + '\CRC32Demo.dpr');
    vSL.Add(AppPath + '\CRC32Demo.res');
    vSL.Add(AppPath + '\untMain.pas');
    vSL.Add(AppPath + '\untMain.dfm');
    vSL.Add(AppPath + '\CRC32Demo.exe');

    DFCreateSFVFile(vSL, AppPath + '\CRCDemo-SFV.txt', ';SFV fr Projektdateien'#13';by Dirk Frischalowski', true);
    DFCheckSFV(AppPath, 'CRCDemo-SFV.txt', CheckSFVCallBack);
  finally
    vSL.Free;
  end;
end;

end.
